/* SearchVM.java

	Purpose:
		
	Description:
		
	History:
		2011/10/25 Created by Dennis Chen

Copyright (C) 2011 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.bind.examples.spring.group.viewmodel;

import org.zkoss.bind.examples.spring.group.data.Food;
import org.zkoss.bind.examples.spring.group.data.FoodData;
import org.zkoss.bind.examples.spring.group.model.AdvancedGroupsModelArray;
import org.zkoss.bind.examples.spring.group.model.FoodComparator;
/**
 *
 */
public class GroupModelVM {

	private AdvancedGroupsModelArray groupsModel;
	
	public GroupModelVM(){
		groupsModel = new AdvancedGroupsModelArray(	FoodData.getAllFoodsArray(),new FoodComparator());
	}

	public AdvancedGroupsModelArray getGroupsModel() {
		return groupsModel;
	}

	public String getTemplate(Object data){
		if (data instanceof Integer){
//			System.out.println(data);
			return "foot";
		}else if (data instanceof Object[]){
//			System.out.println(((Food)((Object[])data)[0]).getName()+" head");
			return "head";
		}else{
//			System.out.println(((Food)data).getName());
			return "row";
		}
	}
	
	
}
